Вернуться   Форум об интернет-маркетинге > >
Ответ
 
Опции темы
Старый 06.12.2019, 14:24   #1
Аспирант
 
Регистрация: 04.01.2009
Сообщений: 174
Репутация: 2738

По умолчанию Не понятные шибки(предупреждения)

Добрый день, поменял VDS с debian8 на ubuntu18.04 у одного провайдера, тех.характеристики железа немного так же улучшились панель ISPmanager.
Настройки сделал такие же как и были то есть в конфиги в нес изменения какие и были на debian8 но вот у сайта лог ошибок кишит таким предупреждениями
Код:
[fcgid:warn] [pid 3318] (32)Broken pipe: [client ******:43440] mod_fcgid: ap_pass_brigade failed in handle_request_ipc function
Вроде просто предупреждение, но не понятно почему так массово они стали возникать за час набирает порядка 15 штук, ранее их в обще не было, хотя в конфиге в обоих vds стоит LogLevel warn
Вроде как предупреждение означает, что соединение было прервано, но не может же быть что так массово прерывают соединение, а ранее не прырывали.
конфиг /etc/apache2/mods-available/fcgid.conf

Код:
<IfModule mod_fcgid.c>
  FcgidProcessLifeTime 30
  FcgidMaxProcesses 3000
  FcgidMaxProcessesPerClass 700
  FcgidConnectTimeout 30
  FcgidIOTimeout 360
  FcgidBusyTimeout 3600
  FcgidMaxRequestLen 104857600
  <IfModule mod_mime.c>
    AddHandler fcgid-script .fcgi
  </IfModule>
</IfModule>
В чем может быть причина?
avgaz вне форума   Ответить с цитированием

Реклама
Старый 07.12.2019, 17:45   #2
avgaz
Аспирант
 
Регистрация: 04.01.2009
Сообщений: 174
Репутация: 2738

ТопикСтартер Re: Не понятные шибки(предупреждения)

При этом предупреждении в логах access.log в это время с этого клиента идет ошибка 500, то есть это не просто предупреждение заканчивается ошибкой
avgaz вне форума   Ответить с цитированием
Старый 08.12.2019, 00:55   #3
avgaz
Аспирант
 
Регистрация: 04.01.2009
Сообщений: 174
Репутация: 2738

ТопикСтартер Re: Не понятные шибки(предупреждения)

Удалил все из конфига оставил это
Код:
<IfModule mod_fcgid.c>
  FcgidConnectTimeout 20
  IPCCommTimeout 600
  FcgidMaxRequestLen 104857600
  FcgidOutputBufferSize   0
  <IfModule mod_mime.c>
    AddHandler fcgid-script .fcgi
  </IfModule>
</IfModule>
И не чего не поменялось совсем ошибки и их частота такая же ((
Я уже хз в какую сторону копать то?? где подробнее посмотреть эту ошибку не в каких логах её нет (( в том числе и в syslog
Получилось вызвать ошибку когда сам заходил на страницу, но она загрузилась нормально, а ошибка 500 в логе прописалась, я так понял это вызвал какой то асинхронный запрос AJAX который создает форум ips 4 на странице, но по чему их тогда не было до переноса ((
avgaz вне форума   Ответить с цитированием
Старый 08.12.2019, 11:58   #5
avgaz
Аспирант
 
Регистрация: 04.01.2009
Сообщений: 174
Репутация: 2738

ТопикСтартер Re: Не понятные шибки(предупреждения)

Цитата:
Сообщение от LEOnidUKG Посмотреть сообщение
Это все я читал параметры по разному выкручивал не какой реакции (( в соседней теме предлагается не обращать внимание, но как не обращать когда это предупреждение заканчивается 500 ошибкой вот, что в логах
error.log
Код:
[Sun Dec 08 11:50:50.762503 2019] [fcgid:warn] [pid 20958] (32)Broken pipe: [client 5.34.18.48:59836] mod_fcgid: ap_pass_brigade failed in handle_request_ipc function, referer: https://www.google.com/
access.log
Код:
5.34.18.48 - - [08/Dec/2019:11:50:50 +0300] "GET /forum/topic/****/ HTTP/1.0" 500 21888 "https://www.google.com/" "Mozilla/5.0 (Linux; Android 9; FIG-LX1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/78.0.3904.108 Mobile Safari/537.36"
То есть по логам видно, пользователь зашёл получил ошибку 500, она в логе зафиксировалась как warn

Я уже не знаю куда копать, не на какие настройки не реагирует эта ошибка
Как посмотреть что именно вызвало эту ошибку по тому же pid 20958 например?
Как посмотреть установленный параметр PHP_FCGI_MAX_REQUESTS ??
avgaz вне форума   Ответить с цитированием
Старый 11.12.2019, 13:17   #6
FoxCloud
Хостинг компания FoxCloud
 
Аватар для FoxCloud
 
Регистрация: 08.11.2016
Сообщений: 423
Репутация: -6545
Социальные сети

По умолчанию Re: Не понятные шибки(предупреждения)

Здравствуйте.
Для ISPManager5 панели настройчиво рекомендуется ОС Centos 7.
Для исправления ошибок, которые вы описали ниже, попробуйте следующее:

Добавьте параметры в fcgid.conf
vim /etc/httpd/conf.d/fcgid.conf

FcgidProcessLifeTime 14400
FcgidIdleScanInterval 60
FcgidIdleTimeout 60
FcgidMaxProcesses 3000
FcgidMaxProcessesPerClass 500
FcgidMaxRequestsPerProcess 100
FcgidMinProcessesPerClass 0
FcgidMaxRequestLen 200000000
FcgidIOTimeout 300

Сделайте перезагрузку двух служб
/usr/local/mgr5/sbin/mgrctl -m ispmgr exit && systemctl daemon-reload
__________________
FoxCloud размещение в Европе / Америке / России. Услуги для любого проекта.
FoxCloud на форуме   Ответить с цитированием
Старый 12.12.2019, 22:07   #7
avgaz
Аспирант
 
Регистрация: 04.01.2009
Сообщений: 174
Репутация: 2738

ТопикСтартер Re: Не понятные шибки(предупреждения)

Цитата:
Сообщение от FoxCloud Посмотреть сообщение
Для исправления ошибок, которые вы описали ниже, попробуйте следующее:
К сожалению эти настройки не помогли ((
Как я понимаю у меня эта проблема возникает при асинхронных ajax запросах, которые создает форум IPS на страницах видимо какой то запрос обрывается периодически.
Ошибка эта описана тут https://www.tablix.org/~avian/blog/a...rigade_failed/
Эту ошибку можно ещё вызвать на странице нажав F5-ESC то есть оборвать соединение
Но вот почему она стала возникать после смены ОС интересно, какие то настройки значит на неё должны влиять
avgaz вне форума   Ответить с цитированием
Старый 17.12.2019, 11:19   #8
FoxCloud
Хостинг компания FoxCloud
 
Аватар для FoxCloud
 
Регистрация: 08.11.2016
Сообщений: 423
Репутация: -6545
Социальные сети

По умолчанию Re: Не понятные шибки(предупреждения)

Как было написано выше, для установки панели ISPmanager5 крайне рекомендуется ОС - Centos 7.
Если у вас есть возможность переустановить ОС на Centos 7 и потом переустановить панель - это должно устранить ошибки.
FoxCloud на форуме   Ответить с цитированием
Старый 17.12.2019, 11:39   #9
avgaz
Аспирант
 
Регистрация: 04.01.2009
Сообщений: 174
Репутация: 2738

ТопикСтартер Re: Не понятные шибки(предупреждения)

Цитата:
Сообщение от FoxCloud Посмотреть сообщение
Как было написано выше, для установки панели ISPmanager5 крайне рекомендуется ОС - Centos 7.
У меня на deb8 их тоже не было, я менял ОС, что бы ПО свежее было из коробки, по умолчанию, то есть, что бы не пользоваться альтернативными версиями php и контейнером докер(все это костыли у которых то одно не работает то другое) и тд, т.к для работы большой нагруженной базы нужно как минимум Mysql 5.7 и PHP 7.1.
В Centos 7 ПО будет ещё старее чем в deb8 то есть возврат обратно ))

Данные ошибки возникают по 200-250раз за сутки, хоть и пишется в access.log как ошибка 500 но пользователь её не видит, даже в консоли браузера её не видно.
Может можно как то пересобрать или обновить fcgid? явно ошибка в нем!!
avgaz вне форума   Ответить с цитированием
Ответ



Опции темы

Быстрый переход


Регистрация Справка Календарь Поддержка Все разделы прочитаны